package org.gcube.gcat.client;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.ws.WebServiceException;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class Configuration extends GCatClient implements org.gcube.gcat.api.interfaces.Configuration<String,Void> {
	
	public Configuration() throws MalformedURLException {
		super(CONFIGURATION);
	}
	
	public Configuration(URL enforcedServiceURL) throws MalformedURLException {
		super(enforcedServiceURL, CONFIGURATION);
	}

	@Override
	public String create(String json) throws WebServiceException {
		return super.create(json);
	}

	@Override
	public String read() throws WebServiceException {
		return super.read(CURRENT_CONTEXT_PATH_PARAMETER);
	}

	@Override
	public String update(String json) throws WebServiceException {
		return super.update(json, CURRENT_CONTEXT_PATH_PARAMETER);
	}

	@Override
	public String patch(String json) throws WebServiceException {
		return super.patch(json, CURRENT_CONTEXT_PATH_PARAMETER);
	}

	@Override
	public Void delete() throws WebServiceException {
		super.delete(false, CURRENT_CONTEXT_PATH_PARAMETER);
		return null;
	}

	@Override
	public Void purge() throws WebServiceException {
		super.delete(true, CURRENT_CONTEXT_PATH_PARAMETER);
		return null;
	}

}
